Open CASCADE Technology: Image_Color.hxx File Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions
Image_Color.hxx File Reference
`#include <Standard.hxx>`

## Data Structures
struct | Image_ColorRGB
| POD structure for packed RGB color value (3 bytes) More...
struct | Image_ColorRGB32
| POD structure for packed RGB color value (4 bytes with extra byte for alignment) More...
struct | Image_ColorRGBA
| POD structure for packed RGBA color value (4 bytes) More...
struct | Image_ColorBGR
| POD structure for packed BGR color value (3 bytes) More...
struct | Image_ColorBGR32
| POD structure for packed BGR color value (4 bytes with extra byte for alignment) More...
struct | Image_ColorBGRA
| POD structure for packed BGRA color value (4 bytes) More...
struct | Image_ColorRGBF
| POD structure for packed float RGB color value (3 floats) More...
struct | Image_ColorBGRF
| POD structure for packed BGR float color value (3 floats) More...
struct | Image_ColorRGBAF
| POD structure for packed RGBA color value (4 floats) More...
struct | Image_ColorBGRAF
| POD structure for packed float BGRA color value (4 floats) More...

## Functions
template<typename ColorType_t >
ColorType_t | Image_ColorSumm3 (const ColorType_t &theA, const ColorType_t &theB)
| Addition operator. More...
Image_ColorRGB | operator+ (const Image_ColorRGB &theA, const Image_ColorRGB &theB)
Image_ColorBGR | operator+ (const Image_ColorBGR &theA, const Image_ColorBGR &theB)
Image_ColorRGBF | operator+ (const Image_ColorRGBF &theA, const Image_ColorRGBF &theB)
Image_ColorBGRF | operator+ (const Image_ColorBGRF &theA, const Image_ColorBGRF &theB)
template<typename ColorType_t >
ColorType_t | Image_ColorSumm4 (const ColorType_t &theA, const ColorType_t &theB)
Image_ColorRGBA | operator+ (const Image_ColorRGBA &theA, const Image_ColorRGBA &theB)
Image_ColorBGRA | operator+ (const Image_ColorBGRA &theA, const Image_ColorBGRA &theB)
Image_ColorRGB32 | operator+ (const Image_ColorRGB32 &theA, const Image_ColorRGB32 &theB)
Image_ColorBGR32 | operator+ (const Image_ColorBGR32 &theA, const Image_ColorBGR32 &theB)
Image_ColorRGBAF | operator+ (const Image_ColorRGBAF &theA, const Image_ColorRGBAF &theB)
Image_ColorBGRAF | operator+ (const Image_ColorBGRAF &theA, const Image_ColorBGRAF &theB)
template<typename ColorType_t >
ColorType_t | Image_ColorSub3 (const ColorType_t &theA, const ColorType_t &theB)
| Subtraction operator. More...
Image_ColorRGB | operator- (const Image_ColorRGB &theA, const Image_ColorRGB &theB)
Image_ColorBGR | operator- (const Image_ColorBGR &theA, const Image_ColorBGR &theB)
Image_ColorRGBF | operator- (const Image_ColorRGBF &theA, const Image_ColorRGBF &theB)
Image_ColorBGRF | operator- (const Image_ColorBGRF &theA, const Image_ColorBGRF &theB)
template<typename ColorType_t >
ColorType_t | Image_ColorSub4 (const ColorType_t &theA, const ColorType_t &theB)
Image_ColorRGBA | operator- (const Image_ColorRGBA &theA, const Image_ColorRGBA &theB)
Image_ColorBGRA | operator- (const Image_ColorBGRA &theA, const Image_ColorBGRA &theB)
Image_ColorRGB32 | operator- (const Image_ColorRGB32 &theA, const Image_ColorRGB32 &theB)
Image_ColorBGR32 | operator- (const Image_ColorBGR32 &theA, const Image_ColorBGR32 &theB)
Image_ColorRGBAF | operator- (const Image_ColorRGBAF &theA, const Image_ColorRGBAF &theB)
Image_ColorBGRAF | operator- (const Image_ColorBGRAF &theA, const Image_ColorBGRAF &theB)

## Function Documentation

template<typename ColorType_t >

ColorType_t Image_ColorSub3 | ( | const ColorType_t & | theA,
|  | const ColorType_t & | theB
| ) |  |
| inline

Subtraction operator.

template<typename ColorType_t >

ColorType_t Image_ColorSub4 | ( | const ColorType_t & | theA,
|  | const ColorType_t & | theB
| ) |  |
| inline

template<typename ColorType_t >

ColorType_t Image_ColorSumm3 | ( | const ColorType_t & | theA,
|  | const ColorType_t & | theB
| ) |  |
| inline

Addition operator.

template<typename ColorType_t >

ColorType_t Image_ColorSumm4 | ( | const ColorType_t & | theA,
|  | const ColorType_t & | theB
| ) |  |
| inline

Image_ColorRGB operator+ | ( | const Image_ColorRGB & | theA,
|  | const Image_ColorRGB & | theB
| ) |  |
| inline

Image_ColorBGR operator+ | ( | const Image_ColorBGR & | theA,
|  | const Image_ColorBGR & | theB
| ) |  |
| inline

Image_ColorRGBF operator+ | ( | const Image_ColorRGBF & | theA,
|  | const Image_ColorRGBF & | theB
| ) |  |
| inline

Image_ColorBGRF operator+ | ( | const Image_ColorBGRF & | theA,
|  | const Image_ColorBGRF & | theB
| ) |  |
| inline

Image_ColorRGBA operator+ | ( | const Image_ColorRGBA & | theA,
|  | const Image_ColorRGBA & | theB
| ) |  |
| inline

Image_ColorBGRA operator+ | ( | const Image_ColorBGRA & | theA,
|  | const Image_ColorBGRA & | theB
| ) |  |
| inline

Image_ColorRGB32 operator+ | ( | const Image_ColorRGB32 & | theA,
|  | const Image_ColorRGB32 & | theB
| ) |  |
| inline

Image_ColorBGR32 operator+ | ( | const Image_ColorBGR32 & | theA,
|  | const Image_ColorBGR32 & | theB
| ) |  |
| inline

Image_ColorRGBAF operator+ | ( | const Image_ColorRGBAF & | theA,
|  | const Image_ColorRGBAF & | theB
| ) |  |
| inline

Image_ColorBGRAF operator+ | ( | const Image_ColorBGRAF & | theA,
|  | const Image_ColorBGRAF & | theB
| ) |  |
| inline

Image_ColorRGB operator- | ( | const Image_ColorRGB & | theA,
|  | const Image_ColorRGB & | theB
| ) |  |
| inline

Image_ColorBGR operator- | ( | const Image_ColorBGR & | theA,
|  | const Image_ColorBGR & | theB
| ) |  |
| inline

Image_ColorRGBF operator- | ( | const Image_ColorRGBF & | theA,
|  | const Image_ColorRGBF & | theB
| ) |  |
| inline

Image_ColorBGRF operator- | ( | const Image_ColorBGRF & | theA,
|  | const Image_ColorBGRF & | theB
| ) |  |
| inline

Image_ColorRGBA operator- | ( | const Image_ColorRGBA & | theA,
|  | const Image_ColorRGBA & | theB
| ) |  |
| inline

Image_ColorBGRA operator- | ( | const Image_ColorBGRA & | theA,
|  | const Image_ColorBGRA & | theB
| ) |  |
| inline

Image_ColorRGB32 operator- | ( | const Image_ColorRGB32 & | theA,
|  | const Image_ColorRGB32 & | theB
| ) |  |
| inline

Image_ColorBGR32 operator- | ( | const Image_ColorBGR32 & | theA,
|  | const Image_ColorBGR32 & | theB
| ) |  |
| inline

Image_ColorRGBAF operator- | ( | const Image_ColorRGBAF & | theA,
|  | const Image_ColorRGBAF & | theB
| ) |  |
| inline

Image_ColorBGRAF operator- | ( | const Image_ColorBGRAF & | theA,
|  | const Image_ColorBGRAF & | theB
| ) |  |
| inline